package com.talanx.harpoon.echo;

import java.io.IOException;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import de.hdi.ws.de.hdi.highavailabilityecho.EchoFehlerException_Exception;

/**
 * Servlet implementation class EchoServlet
 */
@WebServlet("/echo")
public class EchoServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	@Inject
	private EchoBean bean;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public EchoServlet() {
		super();
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		final String echoIn = request.getParameter("in");

		try {
			final String echo = bean.echo(echoIn);

			response.getWriter().append(echo);
		} catch (EchoFehlerException_Exception e) {
			response.getWriter().append(e.getMessage());
			e.printStackTrace();
		}

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		doGet(request, response);
	}

}
